Bug 1071323 - [api] [rfe]: dnf.repo & dnf.repodict API extention
[api] [rfe]: dnf.repo & dnf.repodict API extention
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ales Kozumplik
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1066869
  Show dependency treegraph
 
Reported: 2014-02-28 08:39 EST by Tim Lauridsen
Modified: 2014-09-30 19:42 EDT (History)
4 users (show)

See Also:
Fixed In Version: dnf-0.4.17-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-07 22:35:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Lauridsen 2014-02-28 08:39:37 EST
Description of problem:

The follow methods/properties would be nice to have as public API

class dnf.repodict.RepoDict:

  'all' property to get access to all repositories.

  'get_multiple(filter)' to get a list of repositories mathing a wildcard

class dnf.repo.Repo:

  'set_progress_bar(progress)' to set a progress callback to loading repo metadata

Version-Release number of selected component (if applicable):
0.4.16

Additional info:

Here is an example of how to use the repotory releated API:

https://github.com/timlau/dnf-apiex/blob/master/dnf-repo.py
Comment 1 Radek Holy 2014-02-28 10:13:28 EST
Yes, something like that can really come in handy. Thank you, we'll take a look at it.
Comment 2 Ales Kozumplik 2014-03-04 05:56:09 EST
Tim, the requested API is ready in 311004d.
Comment 3 Ales Kozumplik 2014-03-04 05:57:26 EST
BTW, all() is now a parameter-less method, not a property, so it acts the same as dict.values().
Comment 4 Tim Lauridsen 2014-03-04 06:42:50 EST
Thanks, get_matching is a much better name :)
Comment 5 Fedora Update System 2014-03-05 07:57:31 EST
dnf-0.4.17-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnf-0.4.17-1.fc20
Comment 6 Fedora Update System 2014-03-06 03:14:20 EST
Package dnf-0.4.17-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-0.4.17-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-3465/dnf-0.4.17-1.fc20
then log in and leave karma (feedback).
Comment 7 Tim Lauridsen 2014-03-07 02:55:26 EST
works fine, thanks
Comment 8 Fedora Update System 2014-03-07 22:35:35 EST
dnf-0.4.17-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.